## net.i2p.router
Interface Job

All Known Subinterfaces:
  ReplyJob

All Known Implementing Classes:
  JobImpl, SearchUpdateReplyFoundJob

public interface Job

Defines an executable task

Method Summary
`void` `dropped()` the router is extremely overloaded, so this job has been dropped.
`java.lang.Exception` `getAddedBy()`
`int` `getJobId()` unique id
`java.lang.String` `getName()` Descriptive name of the task
`JobTiming` `getTiming()` Timing criteria for the task
`void` `runJob()` Actually perform the task.

Method Detail

### getName

    public java.lang.String getName()

  Descriptive name of the task

### getJobId

    public int getJobId()

  unique id

### getTiming

    public JobTiming getTiming()

  Timing criteria for the task

### runJob

    public void runJob()

  Actually perform the task. This call blocks until the Job is complete.

### getAddedBy

    public java.lang.Exception getAddedBy()

### dropped

    public void dropped()

  the router is extremely overloaded, so this job has been dropped. if for some reason the job *must* do some cleanup / requeueing of other tasks, it should do so here.